#%RAML 1.0 Library
type: object
displayName: Resultados de amostras
description: Lista de resultados de amostras. Informações básicas.
properties: 
    resultados:
        type: array
        description: Listagem dos resultados de amostras filtrados
        items:
            type: ResultadoAmostraListagem
    numeroPagina: 
        type: integer
        description: Atributo para indicar página atual da pesquisa paginada.
    maximoPorPagina:
        type: integer
        description: Atributo para indicar a quantidade de elementos sendo buscados por página.
        maximum: 100
    totalRegistros:
        type: integer
        description: Total de registros da consulta
    idioma:
        type: string
    totalPaginas:
        type: integer
    codigoErro:
        type: integer
    mensagem:
        type: string
